
Calculate Linux - Bug # 1075: Nomacs stoped working - CLD Xfce 64 bits

Status: Closed Priority: Normal

Author: Goran Nikoloski Category:

Created: 05/30/2018 Assignee:

Updated: 06/22/2018 Due date:

Subject: Nomacs stoped working - CLD Xfce 64 bits

Description: After the recent update Nomacs stoped working; it does not start.

History

05/31/2018 03:26 am - Ð‘Ñ€Ð¾Ð½ÐµÑ•Ð»Ð°Ð² Ð¯Ñ€Ð¸Ð»Ð¾

<pre>


$ env OPENCV_DUMP_CONFIG=1 nomacs





OpenCV build configuration is:





General configuration for OpenCV 3.4.1 =====================================


  Version control:               unknown





  Extra modules:


    Location (extra):            /var/calculate/tmp/portage/media-libs/opencv-3.4.1-r1/work/opencv_contrib-3.4.1/modules


    Version control (extra):     unknown





  Platform:


    Timestamp:                   2018-05-29T08:23:27Z


    Host:                        Linux 4.14.19-calculate x86_64


    CMake:                       3.9.6


    CMake generator:             Unix Makefiles


    CMake build tool:            /usr/bin/gmake


    Configuration:               Gentoo





  CPU/HW features:


    Baseline:                    SSE SSE2 SSE3 SSSE3 SSE4_1 POPCNT SSE4_2 FP16 FMA3 AVX AVX2


      requested:                 SSE3


      required:                  SSE SSE2 SSE3 SSSE3 SSE4_1 SSE4_2 POPCNT AVX AVX2 FMA3





  C/C++:


    Built as dynamic libs?:      YES


    C++11:                       YES


    C++ Compiler:                /usr/lib64/ccache/bin/x86_64-pc-linux-gnu-g++  (ver 6.4.0)


    C++ flags (Release):         -O2 -march=x86-64 -pipe   -fsigned-char -W -Wall -Werror=return-type -Werror=non-virtual-dtor -Werror=address 

-Werror=sequence-point -Wformat -Werror=format-security -Wmissing-declarations -Wundef -Winit-self -Wpointer-arith -Wshadow -Wsign-promo 

-Wuninitialized -Winit-self -Wno-narrowing -Wno-delete-non-virtual-dtor -Wno-comment -fdiagnostics-show-option -Wno-long-long -pthread 

-fomit-frame-pointer -ffunction-sections -fdata-sections  -msse -msse2 -msse3 -mssse3 -msse4.1 -mpopcnt -msse4.2 -mf16c -mfma -mavx -mavx2 

-fvisibility=hidden -fvisibility-inlines-hidden -fopenmp -O3 -DNDEBUG  -DNDEBUG


    C++ flags (Debug):           -O2 -march=x86-64 -pipe   -fsigned-char -W -Wall -Werror=return-type -Werror=non-virtual-dtor -Werror=address 

-Werror=sequence-point -Wformat -Werror=format-security -Wmissing-declarations -Wundef -Winit-self -Wpointer-arith -Wshadow -Wsign-promo 

-Wuninitialized -Winit-self -Wno-narrowing -Wno-delete-non-virtual-dtor -Wno-comment -fdiagnostics-show-option -Wno-long-long -pthread 

-fomit-frame-pointer -ffunction-sections -fdata-sections  -msse -msse2 -msse3 -mssse3 -msse4.1 -mpopcnt -msse4.2 -mf16c -mfma -mavx -mavx2 

-fvisibility=hidden -fvisibility-inlines-hidden -fopenmp -g  -DDEBUG -D_DEBUG


    C Compiler:                  /usr/lib64/ccache/bin/x86_64-pc-linux-gnu-gcc


    C flags (Release):           -O2 -march=x86-64 -pipe   -fsigned-char -W -Wall -Werror=return-type -Werror=non-virtual-dtor -Werror=address 

-Werror=sequence-point -Wformat -Werror=format-security -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wundef -Winit-self 
-Wpointer-arith -Wshadow -Wuninitialized -Winit-self -Wno-narrowing -Wno-comment -fdiagnostics-show-option -Wno-long-long -pthread 

-fomit-frame-pointer -ffunction-sections -fdata-sections  -msse -msse2 -msse3 -mssse3 -msse4.1 -mpopcnt -msse4.2 -mf16c -mfma -mavx -mavx2 

-fvisibility=hidden -fopenmp -O3 -DNDEBUG  -DNDEBUG


    C flags (Debug):             -O2 -march=x86-64 -pipe   -fsigned-char -W -Wall -Werror=return-type -Werror=non-virtual-dtor -Werror=address 

-Werror=sequence-point -Wformat -Werror=format-security -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wundef -Winit-self 

-Wpointer-arith -Wshadow -Wuninitialized -Winit-self -Wno-narrowing -Wno-comment -fdiagnostics-show-option -Wno-long-long -pthread 

-fomit-frame-pointer -ffunction-sections -fdata-sections  -msse -msse2 -msse3 -mssse3 -msse4.1 -mpopcnt -msse4.2 -mf16c -mfma -mavx -mavx2 

-fvisibility=hidden -fopenmp -g  -DDEBUG -D_DEBUG


    Linker flags (Release):      -Wl,--as-needed   


    Linker flags (Debug):        -Wl,--as-needed   


    ccache:                      YES


    Precompiled headers:         NO


    Extra dependencies:          dl m pthread rt /usr/lib64/libGLU.so /usr/lib64/libGL.so /usr/lib64/libtbb.so


    3rdparty dependencies:





  OpenCV modules:


    To be built:                 aruco bgsegm bioinspired calib3d ccalib core datasets dpm face features2d flann freetype fuzzy hdf hfs highgui img_hash 

imgcodecs imgproc java_bindings_generator line_descriptor ml objdetect optflow phase_unwrapping photo plot python3 python_bindings_generator 

reg rgbd saliency shape stereo stitching structured_light superres surface_matching tracking video videoio videostab ximgproc xobjdetect xphoto


    Disabled:                    cvv dnn js world xfeatures2d


    Disabled by dependency:      dnn_objdetect text


    Unavailable:                 cnn_3dobj cudaarithm cudabgsegm cudacodec cudafeatures2d cudafilters cudaimgproc cudalegacy cudaobjdetect 

cudaoptflow cudastereo cudawarping cudev dnn_modern java matlab ovis python2 sfm ts viz


    Applications:                apps


    Documentation:               NO


    Non-free algorithms:         NO





  GUI: 


    QT:                          YES (ver 5.9.4)


      QT OpenGL support:         YES (Qt5::OpenGL 5.9.4)


    GTK+:                        NO


    OpenGL support:              YES (/usr/lib64/libGLU.so /usr/lib64/libGL.so)





  Media I/O: 


    ZLib:                        /usr/lib64/libz.so (ver 1.2.11)


    JPEG:                        /usr/lib64/libjpeg.so (ver )


    WEBP:                        /usr/lib64/libwebp.so (ver encoder: 0x0209)


    PNG:                         /usr/lib64/libpng.so (ver 1.6.34)


    TIFF:                        /usr/lib64/libtiff.so (ver 42 / 4.0.9)


    JPEG 2000:                   /usr/lib64/libjasper.so (ver 2.0.14)


    OpenEXR:                     /usr/lib64/libImath.so /usr/lib64/libIlmImf.so /usr/lib64/libIex.so /usr/lib64/libHalf.so /usr/lib64/libIlmThread.so (ver 2.2.0)





  Video I/O:


    DC1394:                      YES (ver 2.2.5)


    FFMPEG:                      YES


      avcodec:                   YES (ver 57.89.100)


      avformat:                  YES (ver 57.71.100)


      avutil:                    YES (ver 55.58.100)


      swscale:                   YES (ver 4.6.100)


      avresample:                YES (ver 3.5.0)


    GStreamer:                   


      base:                      YES (ver 1.12.4)


      video:                     YES (ver 1.12.4)
      app:                       YES (ver 1.12.4)


      riff:                      YES (ver 1.12.4)


      pbutils:                   YES (ver 1.12.4)


    libv4l/libv4l2:              1.10.1 / 1.10.1


    v4l/v4l2:                    linux/videodev2.h


    gPhoto2:                     YES





  Parallel framework:            TBB (ver 2017.0 interface 9103)





  Trace:                         YES (built-in)





  Other third-party libraries:


    VA:                          YES


    Intel VA-API/OpenCL:         NO


    Eigen:                       YES (ver 3.2.8)


    Custom HAL:                  NO


    Protobuf:                    /usr/lib64/libprotobuf.so (3.5.1)





  Python 3:


    Interpreter:                 /var/calculate/tmp/portage/media-libs/opencv-3.4.1-r1/temp/python3.5/bin/python3 (ver 3.5.5)


    Libraries:                   /usr/lib64/libpython3.5m.so (ver 3.5.5)


    numpy:                       /usr/lib64/python3.5/site-packages/numpy/core/include (ver 1.10.4)


    packages path:               lib/python3.5/site-packages





  Python (for build):            /var/calculate/tmp/portage/media-libs/opencv-3.4.1-r1/temp/python3.5/bin/python3





  Install to:                    /usr


-----------------------------------------------------------------











******************************************************************


* FATAL ERROR:                                                   *


* This OpenCV build doesn't support current CPU/HW configuration *


*                                                                *


* Use OPENCV_DUMP_CONFIG=1 environment variable for details      *


******************************************************************





Required baseline features:


SSE - OK


SSE2 - OK


SSE3 - OK


SSSE3 - OK


SSE4.1 - OK


POPCNT - OK


SSE4.2 - OK


FP16 - NOT AVAILABLE


FMA3 - NOT AVAILABLE


AVX - OK


AVX2 - NOT AVAILABLE


OpenCV(3.4.1) Error: Assertion failed (Missing support for required CPU baseline features. Check OpenCV build configuration and required CPU/HW 

setup.) in initialize, file /var/calculate/tmp/portage/media-libs/opencv-3.4.1-r1/work/opencv-3.4.1/modules/core/src/system.cpp, line 487


terminate called after throwing an instance of 'cv::Exception'
  what():  OpenCV(3.4.1) /var/calculate/tmp/portage/media-libs/opencv-3.4.1-r1/work/opencv-3.4.1/modules/core/src/system.cpp:487: error: (-215) 

Missing support for required CPU baseline features. Check OpenCV build configuration and required CPU/HW setup. in function initialize
</pre>

06/01/2018 10:39 am - Ð‘Ñ€Ð¾Ð½ÐµÑ•Ð»Ð°Ð² Ð¯Ñ€Ð¸Ð»Ð¾

Ð£ Ð¼ÐµÐ½Ñ• nomacs Ð·Ð°Ð¿ÑƒÑ•ÐºÐ°ÐµÑ‚Ñ•Ñ• Ð±ÐµÐ· Ð¾ÑˆÐ¸Ð±Ð¾Ðº.


Ð¡Ð¿Ð°Ñ•Ð¸Ð±Ð¾.

06/22/2018 06:12 am - Alexander Tratsevskiy

- Status changed from New to Closed

Fixed.
